Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster.stamped
Class StampedByteRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.stamped.StampedRasterImageSupport
            |
            +--com.sun.jimi.core.raster.stamped.StampedByteRasterImage

Direct Known Subclasses:
  StampedBitRasterImage

public class StampedByteRasterImage
extends StampedRasterImageSupport
implements ByteRasterImage

Stamped wrapper for ByteRasterImages

Field Summary
`protected byte` | `background`
`protected ByteRasterImage` | `image`
`protected byte[]` | `mapping`
`protected ByteRasterImage` | `stampImage`

Fields inherited from class com.sun.jimi.core.raster.stamped.StampedRasterImageSupport
`error, ERROR_SET, horizStamps, imageIndex, nextError, random, stampAreaHeight, stampAreaWidth, stampheight, stampwidth, stampx, stampy, vertStamps, wrappedImage`

Constructor Summary
`StampedByteRasterImage(ByteRasterImage image)`

Method Summary
`byte` | `getPixel(int x, int y)`
`void` | `getRectangle(int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`void` | `getRow(int y, byte[] buffer, int offset)`
`void` | `setPixel(int x, int y, byte value)`
`void` | `setRectangle(int x, int y, int width, int height, byte[] pixels, int offset, int scansize)`
`void` | `setRow(int y, byte[] pixels, int offset)`

Methods inherited from class com.sun.jimi.core.raster.stamped.StampedRasterImageSupport
`asByteArray, asIntArray, decideError, getChannelRectangle, getColorModel, getCroppedImageProducer, getFactory, getHeight, getImageProducer, getOptions, getPixelRGB, getProperties, getRectangleARGBChannels, getRectangleRGB, getRectangleRGBAChannels, getRectangleRGBChannels, getRowRGB, getWidth, isError, mustWaitForOptions, setDecodingController, setError, setFinished, setImageConsumerHints, setOptions, setWaitForOptions, waitFinished, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### image

    protected ByteRasterImage image

### stampImage

    protected ByteRasterImage stampImage

### background

    protected byte background

### mapping

    protected byte[] mapping

Constructor Detail

### StampedByteRasterImage

    public StampedByteRasterImage(ByteRasterImage image)

Method Detail

### setRectangle

    public void setRectangle(int x,
                             int y,
                             int width,
                             int height,
                             byte[] pixels,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Specified by:
    setRectangle in interface ByteRasterImage

### setRow

    public void setRow(int y,
                       byte[] pixels,
                       int offset)
                throws ImageAccessException

  Specified by:
    setRow in interface ByteRasterImage

### setPixel

    public void setPixel(int x,
                         int y,
                         byte value)
                  throws ImageAccessException

  Specified by:
    setPixel in interface ByteRasterImage

### getRectangle

    public void getRectangle(int x,
                             int y,
                             int width,
                             int height,
                             byte[] buffer,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Specified by:
    getRectangle in interface ByteRasterImage

### getRow

    public void getRow(int y,
                       byte[] buffer,
                       int offset)
                throws ImageAccessException

  Specified by:
    getRow in interface ByteRasterImage

### getPixel

    public byte getPixel(int x,
                         int y)
                  throws ImageAccessException

  Specified by:
    getPixel in interface ByteRasterImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD